## MacPorts-2.1.3.tar.bz2

=== src/portindex/Makefile ===
INSTALL     = /usr/bin/install -c
PREFIX     ?= /Library/WebServer/Documents/ports
cgibin      = $(PREFIX)/cgi-bin
portindex   = $(PREFIX)/index
portfiles   = $(PREFIX)/files
srcdir      = .

all: portregister.cgi portsubmit.cgi initialize.sql register.html

%.cgi: %.pl
	@ echo $@
	@ < $< sed "/@@PREFIX@@/s//$(subst /,\/,$(PREFIX))/" > $@

install: all
	mkdir -p ${DESTDIR}$(PREFIX)
	chown www:www ${DESTDIR}$(PREFIX)
	chmod 0775 ${DESTDIR}$(PREFIX)
	$(INSTALL) -m 644 register.html ${DESTDIR}$(PREFIX)
	mkdir -p ${DESTDIR}$(cgibin)
	chown www:www ${DESTDIR}$(cgibin)
	chmod 0775 ${DESTDIR}$(cgibin)
	$(INSTALL) -m 755 portsubmit.cgi ${DESTDIR}$(cgibin)
	$(INSTALL) -m 755 portregister.cgi ${DESTDIR}$(cgibin)
	mkdir -p ${DESTDIR}$(portindex)
	chown www:www ${DESTDIR}$(portindex)
	chmod 0775 ${DESTDIR}$(portindex)
	mkdir -p ${DESTDIR}$(portfiles)
	chown www:www ${DESTDIR}$(portfiles)
	chmod 0775 ${DESTDIR}$(portfiles)
	$(INSTALL) -m 644 initialize.sql ${DESTDIR}$(portindex)

clean:
	rm -f *.cgi

=== tests/test/statefile-version1/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port configure >/dev/null 2>&1
	@cp statefile work/.macports.statefile-version1.state
	@PORTSRC=$(PORTSRC) $(bindir)/port destroot >output 2>&1 || (cat output; exit 1)
	@diff -u master output || (echo "statefile version 1 wasn't outdated but still triggered a rebuild"; exit 1)
	@PORTSRC=$(PORTSRC) $(bindir)/port clean >/dev/null 2>&1
	@rm output

=== tests/test/statefile-version2/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port configure >/dev/null 2>&1
	@cp statefile work/.macports.statefile-version2.state
	@PORTSRC=$(PORTSRC) $(bindir)/port destroot >output 2>&1 || (cat output; exit 1)
	@diff -u master output || (echo "statefile version 2 wasn't outdated, but still triggered a rebuild"; exit 1)
	@PORTSRC=$(PORTSRC) $(bindir)/port clean >/dev/null 2>&1
	@rm output

=== tests/test/statefile-version2-outdated/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 96400 2012-08-08 21:17:12Z cal@macports.org $

PortSystem          1.0
name                statefile-version2-outdated
version             1
categories          test
maintainers         cal
description         Test port for outdated statefiles, version 2
homepage            http://www.macports.org/
platforms           darwin

long_description    ${description}

distfiles

fetch               {}
extract             {}
configure           {}
build               {}
destroot            {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test                {}
